export declare class EclFormGroup {
    el: HTMLElement;
    styleClass: string;
    theme: string;
    label: string;
    invalid: boolean;
    required: boolean;
    requiredText: string;
    optionalText: string;
    invalidText: string;
    helperText: string;
    helperId: string;
    hideLabel: boolean;
    labelTag: string;
    tag: string;
    name: string;
    invalidIcon: string;
    labelClass: string;
    ariaLabelOptional: string;
    ariaLabelRequired: string;
    getClass(): string;
    componentWillLoad(): void;
    componentDidRender(): void;
    render(): any;
}
